当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 16 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 新的问题,还是不能更新
帖子发表于 : 2009-08-01 3:05 
头像

注册: 2008-02-21 15:46
帖子: 158
送出感谢: 0 次
接收感谢: 0 次
是源的配置问题吗?
lupaworld
163也出现这个问题
请高人们指点
或者给个WIKI,具体配置pacman.conf也行


附件:
1.JPG
1.JPG [ 119.43 KiB | 被浏览 939 次 ]



最后由 soswcsun 编辑于 2009-08-01 12:22,总共编辑了 2 次
页首
 用户资料  
 
2 楼 
 文章标题 : Re: 还是不能更新
帖子发表于 : 2009-08-01 3:39 
头像

注册: 2006-12-15 9:32
帖子: 1247
系统: linux
送出感谢: 2
接收感谢: 13
从第二张看,网络是通的,
要么是源的网络不好,要么是你的网络太差。

一个是找个快点的源,一个是首先同步并升级pacman (pacman -Sy pacman)


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 12:24 
头像

注册: 2008-02-21 15:46
帖子: 158
送出感谢: 0 次
接收感谢: 0 次
一般而言哪个源好一点
中国的 lupaworld sjtu 163 都出现这个情况


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 13:42 
头像

注册: 2008-02-21 15:46
帖子: 158
送出感谢: 0 次
接收感谢: 0 次
没人回答吗?
连pacman都没办法更新
说缺了三个文件,在源上找不到
但用浏览器打开,能看到
官方源也是这个问题


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 14:00 

注册: 2008-07-28 22:16
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
你的源设置好诡异,不知你哪看到的资料。
http://wiki.archlinux.org/index.php/Pac ... 6%96%87%29
这里最后面一段有讲软件仓库的。
不过我建议你不要去修改pacman.conf啦,源在/etc/pacman.d/mirrorlist里面设置就好了。
如果你是电信的话,可以用几个美国或者法国的源,速度不错,更新也很及时。教育网的话,用上交的就很不错了。
Server = http://mirror.archlinux.com.ve/$repo/os/i686
Server = http://mirror.rit.edu/archlinux/$repo/os/i686
Server = http://schlunix.org/archlinux/$repo/os/i686
Server = http://mir.archlinux.fr/$repo/os/i686
这几个比较推荐,你可以试一下


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 14:03 
头像

注册: 2008-02-21 15:46
帖子: 158
送出感谢: 0 次
接收感谢: 0 次
诡异??
LUPA的源啊 :em20

/etc/pacman.d/mirrorlist
怎么配置?
是不是把那些#的都打开?
还有,能详细说一下
/etc/pacman.d/mirrorlist
/etc/pacman.d/current extra的关系吗?
启用的源都要保持一致?


最后由 soswcsun 编辑于 2009-08-01 14:08,总共编辑了 1 次

页首
 用户资料  
 
7 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 14:08 

注册: 2008-07-28 22:16
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
Arch 0.7.2 (Gimmick) Released
...
你用的是这个版本? 2006年的。。。太久啦。。。和现在的完全不一样了。你的库结构现在早就换掉了。。。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 14:10 
头像

注册: 2008-02-21 15:46
帖子: 158
送出感谢: 0 次
接收感谢: 0 次
是吗?我在wiki上找了个镜像下载的
看来是犯了个低级的错误
比如Ubuntu6.06用的9.04的源,结果架构变了,没法升级。
是不是可以怎么理解?


最后由 soswcsun 编辑于 2009-08-01 14:12,总共编辑了 1 次

页首
 用户资料  
 
9 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 14:10 

注册: 2008-07-28 22:16
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
诡异说的是你的仓库。。。
[core]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[extra]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist

[community]
# Add your preferred servers here, they will be used first
Include = /etc/pacman.d/mirrorlist
[archlinuxfr]
Server = http://repo.archlinux.fr/i686/
这是我的pacman.conf,你参考一下吧,现在arch的仓库有core, extra, community, testing这四个。。。current那个很久以前就取消了。。。


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 14:13 
头像

注册: 2008-02-21 15:46
帖子: 158
送出感谢: 0 次
接收感谢: 0 次
我说核心怎么这么老
才2.6.16 :em20


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 14:17 

注册: 2008-07-28 22:16
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
http://www.archlinux.org/download/
这是 2009.02 ISO的下载页面,现在最新的安装镜像就是这个了。你可以考虑下这个吧。
你那个太老了,改完pacman.conf之后可能都还不行吧,pacman本身就太旧了。。。不过你可以试试,呼呼


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 14:21 
头像

注册: 2008-02-21 15:46
帖子: 158
送出感谢: 0 次
接收感谢: 0 次
算了,技术不过关。还是下新的重装吧
我说怎么弄都不行
当时也不知道是怎么找到的了


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-01 17:49 

注册: 2006-12-03 23:00
帖子: 277
送出感谢: 0 次
接收感谢: 0 次
楼主的问题跟源没有什么关系的,跟我遇到的是一样的。
我用163的源时,联通网络下就必然会导致这个问题,而在铁通的网络里却正常。

报告说某个文件找不到,无法下载,但用浏览器过去一看那个文件是存在,并且也可以正常下载。
但是pacman就是不能成功下载,导致更新无法进行下去。
我采取的方法是,变更pacman的下载程序。比如说改成wget就好了。
网上有人说pacman默认使用的下载程序是wget,其实不是。

/etc/pacman.conf文件中:
代码:
...
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#XferCommand = /usr/bin/curl %u > %o
...

改成:
代码:
...
XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#XferCommand = /usr/bin/curl %u > %o
...


_________________
好吧,听某人的建议,修改下签名。


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-02 13:11 
头像

注册: 2006-12-15 9:32
帖子: 1247
系统: linux
送出感谢: 2
接收感谢: 13
楼上只是优化了源下载方式,如果源连接不行,依然很痛苦。
163的源貌似老出问题,和官方不太同步,只是个人看法


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 新的问题,还是不能更新
帖子发表于 : 2009-08-02 20:18 
头像

注册: 2008-05-11 11:10
帖子: 1078
地址: 深圳
送出感谢: 0 次
接收感谢: 0 次
/etc/pacman.conf
代码:
[core]
# Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist
Server=http://mirror.bjtu.edu.cn/ArchLinux/$repo/os/i686

[extra]
# Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist
Server=http://mirror.bjtu.edu.cn/ArchLinux/$repo/os/i686

[community]
# Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist
Server=http://mirror.bjtu.edu.cn/ArchLinux/$repo/os/i686

只有这段改了,也只改了这个文件。
用的教育网,北交大的源,速度还是蛮快的。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 16 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译